package com.alibaba.druid.sql.dialect.dm.ast.stmt;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.statement.SQLAlterTableItem;
import com.alibaba.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.alibaba.druid.sql.dialect.dm.visitor.DmASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class DmAlterTableMergePartition extends DmSQLObjectImpl implements SQLAlterTableItem {
   protected final List<SQLExpr> nameList = new ArrayList();
   protected SQLName into;

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public List<SQLExpr> getNameList() {
      return this.nameList;
   }

   public SQLName getInto() {
      return this.into;
   }

   public void setInto(SQLName into) {
      this.into = into;
   }
}
